[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#382627: Building a cross-compiler for ia64 fails



Package: gcc-4.1
Version: 4.1.1-5
Severity: minor
Tags: patch

Hi,
I tried to build a cross-toolchain for ia64, but when compiling gcc
I got a linker error (log is attached).

After searching for some time I found that Herbert Pötzl had already
written a patch to solve this problem. I talked to him and he was
fine with me submitting the patch to the Debian BTS.

There are 2 patches attached, gcc-cross-fix-ia64.diff and apply-me.diff.
The former is Bertl's original patch fixed up for gcc 4.1, the
latter is diff-in-diff, it puts gcc-cross-fix-ia64 into
debian/patches (including dpatch header of course), and adds the
patch to debian_patches in debian/rules.patch.

HTH,
Christian Aichinger
diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/config/ia64/fde-glibc.c gcc-4.0.0.new/gcc/config/ia64/fde-glibc.c
--- gcc-4.0.0.orig/gcc/config/ia64/fde-glibc.c	2003-11-02 18:35:20.000000000 +0100
+++ gcc-4.0.0.new/gcc/config/ia64/fde-glibc.c	2005-05-15 02:42:27.675247674 +0200
@@ -31,6 +31,7 @@
 #ifndef _GNU_SOURCE
 #define _GNU_SOURCE 1
 #endif
+#ifndef inhibit_libc
 #include "config.h"
 #include <stddef.h>
 #include <stdlib.h>
@@ -162,3 +163,5 @@ _Unwind_FindTableEntry (void *pc, unsign
 
   return data.ret;
 }
+
+#endif
diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/config/ia64/unwind-ia64.c gcc-4.0.0.new/gcc/config/ia64/unwind-ia64.c
--- gcc-4.0.0.orig/gcc/config/ia64/unwind-ia64.c	2005-04-06 05:50:36.000000000 +0200
+++ gcc-4.0.0.new/gcc/config/ia64/unwind-ia64.c	2005-05-15 02:43:10.842199954 +0200
@@ -30,7 +30,7 @@
    This exception does not however invalidate any other reasons why
    the executable file might be covered by the GNU General Public License.  */
 
-
+#ifndef inhibit_libc
 #include "tconfig.h"
 #include "tsystem.h"
 #include "coretypes.h"
@@ -2404,3 +2404,4 @@ alias (_Unwind_SetIP);
 #endif
 
 #endif
+#endif
diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/config/pa/linux-unwind.h gcc-4.0.0.new/gcc/config/pa/linux-unwind.h
--- gcc-4.0.0.orig/gcc/config/pa/linux-unwind.h	2005-02-11 02:46:20.000000000 +0100
+++ gcc-4.0.0.new/gcc/config/pa/linux-unwind.h	2005-05-15 02:37:02.000000000 +0200
@@ -29,6 +29,7 @@ Boston, MA 02111-1307, USA.  */
 /* Do code reading to identify a signal frame, and set the frame
    state data appropriately.  See unwind-dw2.c for the structs.  */
 
+#ifndef inhibit_libc
 #include <signal.h>
 #include <sys/ucontext.h>
 
@@ -136,3 +137,5 @@ pa32_fallback_frame_state (struct _Unwin
   fs->retaddr_column = DWARF_ALT_FRAME_RETURN_COLUMN;
   return _URC_NO_REASON;
 }
+
+#endif
diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/config/sh/linux-unwind.h gcc-4.0.0.new/gcc/config/sh/linux-unwind.h
--- gcc-4.0.0.orig/gcc/config/sh/linux-unwind.h	2005-02-11 02:12:57.000000000 +0100
+++ gcc-4.0.0.new/gcc/config/sh/linux-unwind.h	2005-05-15 02:44:31.000000000 +0200
@@ -29,6 +29,7 @@ Boston, MA 02111-1307, USA.  */
 /* Do code reading to identify a signal frame, and set the frame
    state data appropriately.  See unwind-dw2.c for the structs.  */
 
+#ifndef inhibit_libc
 #include <signal.h>
 #include <sys/ucontext.h>
 #include "insn-constants.h"
@@ -169,3 +170,4 @@ sh_fallback_frame_state (struct _Unwind_
   return _URC_NO_REASON;
 }
 #endif /* defined (__SH5__) */
+#endif
diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/unwind-compat.c gcc-4.0.0.new/gcc/unwind-compat.c
--- gcc-4.0.0.orig/gcc/unwind-compat.c	2004-09-04 02:15:40.000000000 +0200
+++ gcc-4.0.0.new/gcc/unwind-compat.c	2005-05-15 02:41:17.000000000 +0200
@@ -29,6 +29,7 @@
    02110-1301, USA.  */
 
 #if defined (USE_GAS_SYMVER) && defined (USE_LIBUNWIND_EXCEPTIONS)
+#ifndef inhibit_libc
 #include "tconfig.h"
 #include "tsystem.h"
 #include "unwind.h"
@@ -204,3 +205,4 @@ _Unwind_SetIP (struct _Unwind_Context *c
 }
 symver (_Unwind_SetIP, GCC_3.0);
 #endif
+#endif
diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/unwind-generic.h gcc-4.0.0.new/gcc/unwind-generic.h
--- gcc-4.0.0.orig/gcc/unwind-generic.h	2004-11-30 09:15:39.000000000 +0100
+++ gcc-4.0.0.new/gcc/unwind-generic.h	2005-05-15 02:38:33.000000000 +0200
@@ -202,6 +202,7 @@ extern _Unwind_Reason_Code _Unwind_SjLj_
    compatible with the standard ABI for IA-64, we inline these.  */
 
 #ifdef __ia64__
+#ifndef inhibit_libc
 #include <stdlib.h>
 
 static inline _Unwind_Ptr
@@ -220,6 +221,7 @@ _Unwind_GetTextRelBase (struct _Unwind_C
 
 /* @@@ Retrieve the Backing Store Pointer of the given context.  */
 extern _Unwind_Word _Unwind_GetBSP (struct _Unwind_Context *);
+#endif
 #else
 extern _Unwind_Ptr _Unwind_GetDataRelBase (struct _Unwind_Context *);
 extern _Unwind_Ptr _Unwind_GetTextRelBase (struct _Unwind_Context *);
diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.new/gcc/config/alpha/linux-unwind.h gcc-4.0.0.new2/gcc/config/alpha/linux-unwind.h
--- gcc-4.0.0.new/gcc/config/alpha/linux-unwind.h	2005-02-11 02:12:54.000000000 +0100
+++ gcc-4.0.0.new2/gcc/config/alpha/linux-unwind.h	2005-05-15 05:09:16.000000000 +0200
@@ -29,6 +29,7 @@ Boston, MA 02111-1307, USA.  */
 /* Do code reading to identify a signal frame, and set the frame
    state data appropriately.  See unwind-dw2.c for the structs.  */
 
+#ifndef inhibit_libc
 #include <signal.h>
 #include <sys/ucontext.h>
 
@@ -80,3 +81,5 @@ alpha_fallback_frame_state (struct _Unwi
   fs->retaddr_column = 64;
   return _URC_NO_REASON;
 }
+
+#endif
diff -Nur gcc-4.1-4.1.1.orig/debian/patches/cross-fixes.dpatch gcc-4.1-4.1.1/debian/patches/cross-fixes.dpatch
--- gcc-4.1-4.1.1.orig/debian/patches/cross-fixes.dpatch	1970-01-01 00:00:00.000000000 +0000
+++ gcc-4.1-4.1.1/debian/patches/cross-fixes.dpatch	2006-08-11 15:52:30.000000000 +0000
@@ -0,0 +1,146 @@
+#! /bin/sh -e
+
+# DP: Fix the linker error when creating an xcc for ia64
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+    pdir="-d $3"
+    dir="$3/"
+elif [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+        patch $pdir -f --no-backup-if-mismatch -p1 < $0
+        cd ${dir}gcc && autoconf
+        ;;
+    -unpatch)
+        patch $pdir -f --no-backup-if-mismatch -R -p1 < $0
+        cd ${dir}gcc && autoconf
+        ;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+
+diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/config/ia64/fde-glibc.c gcc-4.0.0.new/gcc/config/ia64/fde-glibc.c
+--- gcc-4.0.0.orig/gcc/config/ia64/fde-glibc.c	2003-11-02 18:35:20.000000000 +0100
++++ gcc-4.0.0.new/gcc/config/ia64/fde-glibc.c	2005-05-15 02:42:27.675247674 +0200
+@@ -31,6 +31,7 @@
+ #ifndef _GNU_SOURCE
+ #define _GNU_SOURCE 1
+ #endif
++#ifndef inhibit_libc
+ #include "config.h"
+ #include <stddef.h>
+ #include <stdlib.h>
+@@ -162,3 +163,5 @@ _Unwind_FindTableEntry (void *pc, unsign
+ 
+   return data.ret;
+ }
++
++#endif
+diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/config/ia64/unwind-ia64.c gcc-4.0.0.new/gcc/config/ia64/unwind-ia64.c
+--- gcc-4.0.0.orig/gcc/config/ia64/unwind-ia64.c	2005-04-06 05:50:36.000000000 +0200
++++ gcc-4.0.0.new/gcc/config/ia64/unwind-ia64.c	2005-05-15 02:43:10.842199954 +0200
+@@ -30,7 +30,7 @@
+    This exception does not however invalidate any other reasons why
+    the executable file might be covered by the GNU General Public License.  */
+ 
+-
++#ifndef inhibit_libc
+ #include "tconfig.h"
+ #include "tsystem.h"
+ #include "coretypes.h"
+@@ -2404,3 +2404,4 @@ alias (_Unwind_SetIP);
+ #endif
+ 
+ #endif
++#endif
+diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/config/pa/linux-unwind.h gcc-4.0.0.new/gcc/config/pa/linux-unwind.h
+--- gcc-4.0.0.orig/gcc/config/pa/linux-unwind.h	2005-02-11 02:46:20.000000000 +0100
++++ gcc-4.0.0.new/gcc/config/pa/linux-unwind.h	2005-05-15 02:37:02.000000000 +0200
+@@ -29,6 +29,7 @@ Boston, MA 02111-1307, USA.  */
+ /* Do code reading to identify a signal frame, and set the frame
+    state data appropriately.  See unwind-dw2.c for the structs.  */
+ 
++#ifndef inhibit_libc
+ #include <signal.h>
+ #include <sys/ucontext.h>
+ 
+@@ -136,3 +137,5 @@ pa32_fallback_frame_state (struct _Unwin
+   fs->retaddr_column = DWARF_ALT_FRAME_RETURN_COLUMN;
+   return _URC_NO_REASON;
+ }
++
++#endif
+diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/config/sh/linux-unwind.h gcc-4.0.0.new/gcc/config/sh/linux-unwind.h
+--- gcc-4.0.0.orig/gcc/config/sh/linux-unwind.h	2005-02-11 02:12:57.000000000 +0100
++++ gcc-4.0.0.new/gcc/config/sh/linux-unwind.h	2005-05-15 02:44:31.000000000 +0200
+@@ -29,6 +29,7 @@ Boston, MA 02111-1307, USA.  */
+ /* Do code reading to identify a signal frame, and set the frame
+    state data appropriately.  See unwind-dw2.c for the structs.  */
+ 
++#ifndef inhibit_libc
+ #include <signal.h>
+ #include <sys/ucontext.h>
+ #include "insn-constants.h"
+@@ -169,3 +170,4 @@ sh_fallback_frame_state (struct _Unwind_
+   return _URC_NO_REASON;
+ }
+ #endif /* defined (__SH5__) */
++#endif
+diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/unwind-compat.c gcc-4.0.0.new/gcc/unwind-compat.c
+--- gcc-4.0.0.orig/gcc/unwind-compat.c	2004-09-04 02:15:40.000000000 +0200
++++ gcc-4.0.0.new/gcc/unwind-compat.c	2005-05-15 02:41:17.000000000 +0200
+@@ -29,6 +29,7 @@
+    02110-1301, USA.  */
+ 
+ #if defined (USE_GAS_SYMVER) && defined (USE_LIBUNWIND_EXCEPTIONS)
++#ifndef inhibit_libc
+ #include "tconfig.h"
+ #include "tsystem.h"
+ #include "unwind.h"
+@@ -204,3 +205,4 @@ _Unwind_SetIP (struct _Unwind_Context *c
+ }
+ symver (_Unwind_SetIP, GCC_3.0);
+ #endif
++#endif
+diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.orig/gcc/unwind-generic.h gcc-4.0.0.new/gcc/unwind-generic.h
+--- gcc-4.0.0.orig/gcc/unwind-generic.h	2004-11-30 09:15:39.000000000 +0100
++++ gcc-4.0.0.new/gcc/unwind-generic.h	2005-05-15 02:38:33.000000000 +0200
+@@ -202,6 +202,7 @@ extern _Unwind_Reason_Code _Unwind_SjLj_
+    compatible with the standard ABI for IA-64, we inline these.  */
+ 
+ #ifdef __ia64__
++#ifndef inhibit_libc
+ #include <stdlib.h>
+ 
+ static inline _Unwind_Ptr
+@@ -220,6 +221,7 @@ _Unwind_GetTextRelBase (struct _Unwind_C
+ 
+ /* @@@ Retrieve the Backing Store Pointer of the given context.  */
+ extern _Unwind_Word _Unwind_GetBSP (struct _Unwind_Context *);
++#endif
+ #else
+ extern _Unwind_Ptr _Unwind_GetDataRelBase (struct _Unwind_Context *);
+ extern _Unwind_Ptr _Unwind_GetTextRelBase (struct _Unwind_Context *);
+diff -NurpP -x '*.orig' -x '*.libc' gcc-4.0.0.new/gcc/config/alpha/linux-unwind.h gcc-4.0.0.new2/gcc/config/alpha/linux-unwind.h
+--- gcc-4.0.0.new/gcc/config/alpha/linux-unwind.h	2005-02-11 02:12:54.000000000 +0100
++++ gcc-4.0.0.new2/gcc/config/alpha/linux-unwind.h	2005-05-15 05:09:16.000000000 +0200
+@@ -29,6 +29,7 @@ Boston, MA 02111-1307, USA.  */
+ /* Do code reading to identify a signal frame, and set the frame
+    state data appropriately.  See unwind-dw2.c for the structs.  */
+ 
++#ifndef inhibit_libc
+ #include <signal.h>
+ #include <sys/ucontext.h>
+ 
+@@ -80,3 +81,5 @@ alpha_fallback_frame_state (struct _Unwi
+   fs->retaddr_column = 64;
+   return _URC_NO_REASON;
+ }
++
++#endif
diff -Nur gcc-4.1-4.1.1.orig/debian/rules.patch gcc-4.1-4.1.1/debian/rules.patch
--- gcc-4.1-4.1.1.orig/debian/rules.patch	2006-08-11 15:50:06.000000000 +0000
+++ gcc-4.1-4.1.1/debian/rules.patch	2006-08-11 15:52:55.000000000 +0000
@@ -100,7 +100,7 @@
 endif
 
 ifdef DEB_CROSS
-  debian_patches += cross-include
+  debian_patches += cross-include cross-fixes
 endif
 
 debian_patches += link-libs
/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/./gcc/xgcc -B/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/./gcc/ -B/usr/ia64-linux-gnu/bin/ -B/usr/ia64-linux-gnu/lib/ -isystem /usr/ia64-linux
-gnu/include -isystem /usr/ia64-linux-gnu/sys-include -O2  -O2 -O2  -DIN_GCC -DCROSS_COMPILE   -DUSE_LIBUNWIND_EXCEPTIONS -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  
-fPIC -DUSE_GAS_SYMVER -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED -Dinhibit_libc -I. -I. -I../../src/gcc -I../../src/gcc/. -I../../src/gcc/../include -I../../src/gcc/../libcpp/include  -DSHARED -fexceptions -c ../.
./src/gcc/unwind-c.c -o libgcc/./unwind-c_s.o
/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/./gcc/xgcc -B/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/./gcc/ -B/usr/ia64-linux-gnu/bin/ -B/usr/ia64-linux-gnu/lib/ -isystem /usr/ia64-linux
-gnu/include -isystem /usr/ia64-linux-gnu/sys-include -O2  -O2 -O2  -DIN_GCC -DCROSS_COMPILE   -DUSE_LIBUNWIND_EXCEPTIONS -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  
-fPIC -DUSE_GAS_SYMVER -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED -Dinhibit_libc -I. -I. -I../../src/gcc -I../../src/gcc/. -I../../src/gcc/../include -I../../src/gcc/../libcpp/include  -DSHARED -fexceptions -c ../.
./src/gcc/unwind-compat.c -o libgcc/./unwind-compat_s.o
{ ia64-linux-gnu-nm -pg libgcc/./__divxf3_s.o libgcc/./__divdf3_s.o libgcc/./__divsf3_s.o libgcc/./__divdi3_s.o libgcc/./__moddi3_s.o libgcc/./__udivdi3_s.o libgcc/./__umoddi3_s.o libgcc/./__divsi3_s.o libgcc/./__modsi3_s.o libgcc/.
/__udivsi3_s.o libgcc/./__umodsi3_s.o libgcc/./__save_stack_nonlocal_s.o libgcc/./__nonlocal_goto_s.o libgcc/./__restore_stack_nonlocal_s.o libgcc/./__trampoline_s.o libgcc/./_fixtfdi_s.o libgcc/./_fixunstfdi_s.o libgcc/./_floatditf
_s.o libgcc/./_muldi3_s.o libgcc/./_negdi2_s.o libgcc/./_lshrdi3_s.o libgcc/./_ashldi3_s.o libgcc/./_ashrdi3_s.o libgcc/./_cmpdi2_s.o libgcc/./_ucmpdi2_s.o libgcc/./_floatdidf_s.o libgcc/./_floatdisf_s.o libgcc/./_fixunsdfsi_s.o lib
gcc/./_fixunssfsi_s.o libgcc/./_fixunsdfdi_s.o libgcc/./_fixdfdi_s.o libgcc/./_fixunssfdi_s.o libgcc/./_fixsfdi_s.o libgcc/./_fixxfdi_s.o libgcc/./_fixunsxfdi_s.o libgcc/./_floatdixf_s.o libgcc/./_fixunsxfsi_s.o libgcc/./_clear_cach
e_s.o libgcc/./_enable_execute_stack_s.o libgcc/./_trampoline_s.o libgcc/./__main_s.o libgcc/./_absvsi2_s.o libgcc/./_absvdi2_s.o libgcc/./_addvsi3_s.o libgcc/./_addvdi3_s.o libgcc/./_subvsi3_s.o libgcc/./_subvdi3_s.o libgcc/./_mulv
si3_s.o libgcc/./_mulvdi3_s.o libgcc/./_negvsi2_s.o libgcc/./_negvdi2_s.o libgcc/./_ctors_s.o libgcc/./_ffssi2_s.o libgcc/./_ffsdi2_s.o libgcc/./_clz_s.o libgcc/./_clzsi2_s.o libgcc/./_clzdi2_s.o libgcc/./_ctzsi2_s.o libgcc/./_ctzdi
2_s.o libgcc/./_popcount_tab_s.o libgcc/./_popcountsi2_s.o libgcc/./_popcountdi2_s.o libgcc/./_paritysi2_s.o libgcc/./_paritydi2_s.o libgcc/./_powisf2_s.o libgcc/./_powidf2_s.o libgcc/./_powixf2_s.o libgcc/./_powitf2_s.o libgcc/./_m
ulsc3_s.o libgcc/./_muldc3_s.o libgcc/./_mulxc3_s.o libgcc/./_multc3_s.o libgcc/./_divsc3_s.o libgcc/./_divdc3_s.o libgcc/./_divxc3_s.o libgcc/./_divtc3_s.o libgcc/./_divdi3_s.o libgcc/./_moddi3_s.o libgcc/./_udivdi3_s.o libgcc/./_u
moddi3_s.o libgcc/./_udiv_w_sdiv_s.o libgcc/./_udivmoddi4_s.o libgcc/./unwind-sjlj_s.o libgcc/./unwind-c_s.o libgcc/./unwind-compat_s.o; echo %%; \
          cat ../../src/gcc/libgcc-std.ver ../../src/gcc/config/libgcc-glibc.ver ../../src/gcc/config/ia64/libgcc-ia64.ver \
            | sed -e '/^[   ]*#/d' \   
                  -e 's/^%\(if\|else\|elif\|endif\|define\)/#\1/' \
            | /home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/./gcc/xgcc -B/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/./gcc/ -B/usr/ia64-linux-gnu/bin/ -B/usr/ia64-linux-gnu/lib/ -isystem /
usr/ia64-linux-gnu/include -isystem /usr/ia64-linux-gnu/sys-include -O2  -O2 -O2  -DIN_GCC -DCROSS_COMPILE   -DUSE_LIBUNWIND_EXCEPTIONS -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isyst
em ./include  -fPIC -DUSE_GAS_SYMVER -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED -Dinhibit_libc -I. -I. -I../../src/gcc -I../../src/gcc/. -I../../src/gcc/../include -I../../src/gcc/../libcpp/include   -E -xassembler
-with-cpp -; \
        } | gawk -f ../../src/gcc/mkmap-symver.awk  > libgcc/./tmp-libgcc.map
mv 'libgcc/./tmp-libgcc.map' libgcc/./libgcc.map
/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/./gcc/xgcc -B/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/./gcc/ -B/usr/ia64-linux-gnu/bin/ -B/usr/ia64-linux-gnu/lib/ -isystem /usr/ia64-linux-gnu/include -isystem /usr/ia64-linux-gnu/sys-include -O2  -O2 -O2  -DIN_GCC -DCROSS_COMPILE   -DUSE_LIBUNWIND_EXCEPTIONS -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  -fPIC -DUSE_GAS_SYMVER -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED -Dinhibit_libc -shared -nodefaultlibs -Wl,--soname=libgcc_s.so.1 -Wl,--version-script=libgcc/./libgcc.map -Wl,-O1 -o ./libgcc_s.so.1.tmp  libgcc/./__divxf3_s.o libgcc/./__divdf3_s.o libgcc/./__divsf3_s.o libgcc/./__divdi3_s.o libgcc/./__moddi3_s.o libgcc/./__udivdi3_s.o libgcc/./__umoddi3_s.o libgcc/./__divsi3_s.o libgcc/./__modsi3_s.o libgcc/./__udivsi3_s.o libgcc/./__umodsi3_s.o libgcc/./__save_stack_nonlocal_s.o libgcc/./__nonlocal_goto_s.o libgcc/./__restore_stack_nonlocal_s.o libgcc/./__trampoline_s.o libgcc/./_fixtfdi_s.o libgcc/./_fixunstfdi_s.o libgcc/./_floatditf_s.o libgcc/./_muldi3_s.o libgcc/./_negdi2_s.o libgcc/./_lshrdi3_s.o libgcc/./_ashldi3_s.o libgcc/./_ashrdi3_s.o libgcc/./_cmpdi2_s.o libgcc/./_ucmpdi2_s.o libgcc/./_floatdidf_s.o libgcc/./_floatdisf_s.o libgcc/./_fixunsdfsi_s.o libgcc/./_fixunssfsi_s.o libgcc/./_fixunsdfdi_s.o libgcc/./_fixdfdi_s.o libgcc/./_fixunssfdi_s.o libgcc/./_fixsfdi_s.o libgcc/./_fixxfdi_s.o libgcc/./_fixunsxfdi_s.o libgcc/./_floatdixf_s.o libgcc/./_fixunsxfsi_s.o libgcc/./_clear_cache_s.o libgcc/./_enable_execute_stack_s.o libgcc/./_trampoline_s.o libgcc/./__main_s.o libgcc/./_absvsi2_s.o libgcc/./_absvdi2_s.o libgcc/./_addvsi3_s.o libgcc/./_addvdi3_s.o libgcc/./_subvsi3_s.o libgcc/./_subvdi3_s.o libgcc/./_mulvsi3_s.o libgcc/./_mulvdi3_s.o libgcc/./_negvsi2_s.o libgcc/./_negvdi2_s.o libgcc/./_ctors_s.o libgcc/./_ffssi2_s.o libgcc/./_ffsdi2_s.o libgcc/./_clz_s.o libgcc/./_clzsi2_s.o libgcc/./_clzdi2_s.o libgcc/./_ctzsi2_s.o libgcc/./_ctzdi2_s.o libgcc/./_popcount_tab_s.o libgcc/./_popcountsi2_s.o libgcc/./_popcountdi2_s.o libgcc/./_paritysi2_s.o libgcc/./_paritydi2_s.o libgcc/./_powisf2_s.o libgcc/./_powidf2_s.o libgcc/./_powixf2_s.o libgcc/./_powitf2_s.o libgcc/./_mulsc3_s.o libgcc/./_muldc3_s.o libgcc/./_mulxc3_s.o libgcc/./_multc3_s.o libgcc/./_divsc3_s.o libgcc/./_divdc3_s.o libgcc/./_divxc3_s.o libgcc/./_divtc3_s.o libgcc/./_divdi3_s.o libgcc/./_moddi3_s.o libgcc/./_udivdi3_s.o libgcc/./_umoddi3_s.o libgcc/./_udiv_w_sdiv_s.o libgcc/./_udivmoddi4_s.o libgcc/./unwind-sjlj_s.o libgcc/./unwind-c_s.o libgcc/./unwind-compat_s.o -lunwind -lc && rm -f ./libgcc_s.so && if [ -f ./libgcc_s.so.1 ]; then mv -f ./libgcc_s.so.1 ./libgcc_s.so.1.backup; else true; fi && mv ./libgcc_s.so.1.tmp ./libgcc_s.so.1 && ln -s libgcc_s.so.1 ./libgcc_s.so
/usr/ia64-linux-gnu/lib/libunwind.a(Backtrace.o): In function `__libunwind_Unwind_Backtrace':
(.text+0x0): multiple definition of `_Unwind_Backtrace'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_Backtrace' changed from 80 in libgcc/./unwind-compat_s.o to 256 in /usr/ia64-linux-gnu/lib/libunwind.a(Backtrace.o)
/usr/ia64-linux-gnu/lib/libunwind.a(DeleteException.o): In function `__libunwind_Unwind_DeleteException':
(.text+0x0): multiple definition of `_Unwind_DeleteException'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_DeleteException' changed from 80 in libgcc/./unwind-compat_s.o to 144 in /usr/ia64-linux-gnu/lib/libunwind.a(DeleteException.o)
/usr/ia64-linux-gnu/lib/libunwind.a(FindEnclosingFunction.o): In function `__libunwind_Unwind_FindEnclosingFunction':
(.text+0x0): multiple definition of `_Unwind_FindEnclosingFunction'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_FindEnclosingFunction' changed from 80 in libgcc/./unwind-compat_s.o to 144 in /usr/ia64-linux-gnu/lib/libunwind.a(FindEnclosingFunction.o)
/usr/ia64-linux-gnu/lib/libunwind.a(ForcedUnwind.o): In function `__libunwind_Unwind_ForcedUnwind':
(.text+0x0): multiple definition of `_Unwind_ForcedUnwind'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_ForcedUnwind' changed from 80 in libgcc/./unwind-compat_s.o to 784 in /usr/ia64-linux-gnu/lib/libunwind.a(ForcedUnwind.o)
/usr/ia64-linux-gnu/lib/libunwind.a(GetBSP.o): In function `__libunwind_Unwind_GetBSP':
(.text+0x0): multiple definition of `_Unwind_GetBSP'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_GetBSP' changed from 80 in libgcc/./unwind-compat_s.o to 96 in /usr/ia64-linux-gnu/lib/libunwind.a(GetBSP.o)
/usr/ia64-linux-gnu/lib/libunwind.a(GetCFA.o): In function `__libunwind_Unwind_GetCFA':
(.text+0x0): multiple definition of `_Unwind_GetCFA'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_GetCFA' changed from 80 in libgcc/./unwind-compat_s.o to 96 in /usr/ia64-linux-gnu/lib/libunwind.a(GetCFA.o)
/usr/ia64-linux-gnu/lib/libunwind.a(GetGR.o): In function `__libunwind_Unwind_GetGR':
(.text+0x0): multiple definition of `_Unwind_GetGR'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_GetGR' changed from 80 in libgcc/./unwind-compat_s.o to 176 in /usr/ia64-linux-gnu/lib/libunwind.a(GetGR.o)
/usr/ia64-linux-gnu/lib/libunwind.a(GetIP.o): In function `__libunwind_Unwind_GetIP':
(.text+0x0): multiple definition of `_Unwind_GetIP'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_GetIP' changed from 80 in libgcc/./unwind-compat_s.o to 96 in /usr/ia64-linux-gnu/lib/libunwind.a(GetIP.o)
/usr/ia64-linux-gnu/lib/libunwind.a(GetLanguageSpecificData.o): In function `__libunwind_Unwind_GetLanguageSpecificData':
(.text+0x0): multiple definition of `_Unwind_GetLanguageSpecificData'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_GetLanguageSpecificData' changed from 80 in libgcc/./unwind-compat_s.o to 112 in /usr/ia64-linux-gnu/lib/libunwind.a(GetLanguageSpecificData.o)
/usr/ia64-linux-gnu/lib/libunwind.a(GetRegionStart.o): In function `__libunwind_Unwind_GetRegionStart':
(.text+0x0): multiple definition of `_Unwind_GetRegionStart'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_GetRegionStart' changed from 80 in libgcc/./unwind-compat_s.o to 96 in /usr/ia64-linux-gnu/lib/libunwind.a(GetRegionStart.o)
/usr/ia64-linux-gnu/lib/libunwind.a(RaiseException.o): In function `__libunwind_Unwind_RaiseException':
(.text+0x0): multiple definition of `_Unwind_RaiseException'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_RaiseException' changed from 80 in libgcc/./unwind-compat_s.o to 1120 in /usr/ia64-linux-gnu/lib/libunwind.a(RaiseException.o)
/usr/ia64-linux-gnu/lib/libunwind.a(Resume.o): In function `__libunwind_Unwind_Resume':
(.text+0x0): multiple definition of `_Unwind_Resume'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_Resume' changed from 80 in libgcc/./unwind-compat_s.o to 720 in /usr/ia64-linux-gnu/lib/libunwind.a(Resume.o)
/usr/ia64-linux-gnu/lib/libunwind.a(Resume_or_Rethrow.o): In function `__libunwind_Unwind_Resume_or_Rethrow':
(.text+0x0): multiple definition of `_Unwind_Resume_or_Rethrow'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_Resume_or_Rethrow' changed from 80 in libgcc/./unwind-compat_s.o to 832 in /usr/ia64-linux-gnu/lib/libunwind.a(Resume_or_Rethrow.o)
/usr/ia64-linux-gnu/lib/libunwind.a(SetGR.o): In function `__libunwind_Unwind_SetGR':
(.text+0x0): multiple definition of `_Unwind_SetGR'
/usr/bin/ia64-linux-gnu-ld: Warning: size of symbol `_Unwind_SetGR' changed from 80 in libgcc/./unwind-compat_s.o to 144 in /usr/ia64-linux-gnu/lib/libunwind.a(SetGR.o)
/usr/ia64-linux-gnu/lib/libunwind.a(SetIP.o): In function `__libunwind_Unwind_SetIP':
(.text+0x0): multiple definition of `_Unwind_SetIP'
collect2: ld returned 1 exit status
make[5]: *** [libgcc_s.so] Error 1
make[5]: Leaving directory `/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/gcc'
make[4]: *** [libgcc.a] Error 2
make[4]: Leaving directory `/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build/gcc'
make[3]: *** [all-gcc] Error 2
make[3]: Leaving directory `/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1/build'
s=`cat status`; rm -f status; test $s -eq 0
make[1]: *** [stamps/05-build-stamp] Error 1
make[1]: Leaving directory `/home/greek0/work/dev/src/cross/gcc.1155382106/gcc-4.1-4.1.1'
make: *** [stamps/05-build-stamp] Error 2

Attachment: signature.asc
Description: Digital signature


Reply to: